VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::DownloadSessionStub Class Reference

Remote stub implementation of the DownloadSession API service. More...

Inherits vmware::content::library::item::DownloadSession.

List of all members.

## Public Member Functions
| DownloadSessionStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Create (string clientToken, vmware.content.library.item.DownloadSessionModel createSpec)
| Creates a new download session.
string | Create (string clientToken, vmware.content.library.item.DownloadSessionModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new download session.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.library.item.DownloadSessionModel createSpec)
| Creates a new download session.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.library.item.DownloadSessionModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new download session.
vmware.content.library.item.DownloadSessionModel | Get (string downloadSessionId)
| Gets the download session with the specified identifier, including the most up-to-date status information for the session.
vmware.content.library.item.DownloadSessionModel | Get (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Gets the download session with the specified identifier, including the most up-to-date status information for the session.
global::System.Threading.Tasks.Task < vmware.content.library.item.DownloadSessionModel > | GetAsync (string downloadSessionId)
| Gets the download session with the specified identifier, including the most up-to-date status information for the session.
global::System.Threading.Tasks.Task < vmware.content.library.item.DownloadSessionModel > | GetAsync (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Gets the download session with the specified identifier, including the most up-to-date status information for the session.
global::System.Collections.Generic.List < string > | List (string libraryItemId)
| Lists the identifiers of the download sessions created by the calling user.
global::System.Collections.Generic.List < string > | List (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists the identifiers of the download sessions created by the calling user.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string libraryItemId)
| Lists the identifiers of the download sessions created by the calling user.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (string libraryItemId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists the identifiers of the download sessions created by the calling user.
void | KeepAlive (string downloadSessionId, long?progress)
| Keeps a download session alive.
void | KeepAlive (string downloadSessionId, long?progress, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Keeps a download session alive.
global::System.Threading.Tasks.Task | KeepAliveAsync (string downloadSessionId, long?progress)
| Keeps a download session alive.
global::System.Threading.Tasks.Task | KeepAliveAsync (string downloadSessionId, long?progress, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Keeps a download session alive.
void | Cancel (string downloadSessionId)
| Cancels the download session.
void | Cancel (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancels the download session.
global::System.Threading.Tasks.Task | CancelAsync (string downloadSessionId)
| Cancels the download session.
global::System.Threading.Tasks.Task | CancelAsync (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancels the download session.
void | Delete (string downloadSessionId)
| Deletes a download session.
void | Delete (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes a download session.
global::System.Threading.Tasks.Task | DeleteAsync (string downloadSessionId)
| Deletes a download session.
global::System.Threading.Tasks.Task | DeleteAsync (string downloadSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes a download session.
void | Fail (string downloadSessionId, string clientErrorMessage)
| Terminates the download session with a client specified error message.
void | Fail (string downloadSessionId, string clientErrorMessage, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Terminates the download session with a client specified error message.
global::System.Threading.Tasks.Task | FailAsync (string downloadSessionId, string clientErrorMessage)
| Terminates the download session with a client specified error message.
global::System.Threading.Tasks.Task | FailAsync (string downloadSessionId, string clientErrorMessage, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Terminates the download session with a client specified error message.

## Detailed Description

Remote stub implementation of the DownloadSession API service.

## Constructor & Destructor Documentation

vmware::content::library::item::DownloadSessionStub::DownloadSessionStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::content::library::item::DownloadSessionStub::Cancel | ( | string | downloadSessionId | ) | `[inline]`

Cancels the download session.

This method will abort any ongoing transfers and invalidate transfer urls that the client may be downloading from.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifer of the download session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

void vmware::content::library::item::DownloadSessionStub::Cancel | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancels the download session.

This method will abort any ongoing transfers and invalidate transfer urls that the client may be downloading from.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifer of the download session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::CancelAsync | ( | string | downloadSessionId | ) | `[inline]`

Cancels the download session.

This method will abort any ongoing transfers and invalidate transfer urls that the client may be downloading from.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifer of the download session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::CancelAsync | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Cancels the download session.

This method will abort any ongoing transfers and invalidate transfer urls that the client may be downloading from.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifer of the download session that should be canceled. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

string vmware::content::library::item::DownloadSessionStub::Create | ( | string | clientToken,
|  | vmware.content.library.item.DownloadSessionModel | createSpec
| ) |  | `[inline]`

Creates a new download session.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | format.
  vmware.vapi.std.errors.NotFound | if the library item targeted by the download does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute DownloadSessionModel.libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  clientToken | A unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new download session to be created.

Returns:
  Identifier of the new download session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

string vmware::content::library::item::DownloadSessionStub::Create | ( | string | clientToken,
|  | vmware.content.library.item.DownloadSessionModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new download session.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | format.
  vmware.vapi.std.errors.NotFound | if the library item targeted by the download does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute DownloadSessionModel.libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  clientToken | A unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new download session to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the new download session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task<string> vmware::content::library::item::DownloadSessionStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.library.item.DownloadSessionModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new download session.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | format.
  vmware.vapi.std.errors.NotFound | if the library item targeted by the download does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute DownloadSessionModel.libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  clientToken | A unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new download session to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the new download session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task<string> vmware::content::library::item::DownloadSessionStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.library.item.DownloadSessionModel | createSpec
| ) |  | `[inline]`

Creates a new download session.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the session specification is not valid.
  vmware.vapi.std.errors.InvalidArgument | format.
  vmware.vapi.std.errors.NotFound | if the library item targeted by the download does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the attribute DownloadSessionModel.libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  clientToken | A unique token generated by the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new download session to be created.

Returns:
  Identifier of the new download session being created. The result will be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

void vmware::content::library::item::DownloadSessionStub::Delete | ( | string | downloadSessionId | ) | `[inline]`

Deletes a download session.

This removes the session and all information associated with it.

Removing a download session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the transfers will be able to complete). However there will no longer be a means of inspecting the status of those downloads except by seeing the effect on the library item.

Download sessions for which there is no download activity or which are complete will automatically be expired and then deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to be deleted. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

void vmware::content::library::item::DownloadSessionStub::Delete | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes a download session.

This removes the session and all information associated with it.

Removing a download session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the transfers will be able to complete). However there will no longer be a means of inspecting the status of those downloads except by seeing the effect on the library item.

Download sessions for which there is no download activity or which are complete will automatically be expired and then deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to be deleted. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::DeleteAsync | ( | string | downloadSessionId | ) | `[inline]`

Deletes a download session.

This removes the session and all information associated with it.

Removing a download session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the transfers will be able to complete). However there will no longer be a means of inspecting the status of those downloads except by seeing the effect on the library item.

Download sessions for which there is no download activity or which are complete will automatically be expired and then deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to be deleted. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::DeleteAsync | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes a download session.

This removes the session and all information associated with it.

Removing a download session leaves any current transfers for that session in an indeterminate state (there is no guarantee that the transfers will be able to complete). However there will no longer be a means of inspecting the status of those downloads except by seeing the effect on the library item.

Download sessions for which there is no download activity or which are complete will automatically be expired and then deleted after a period of time.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to be deleted. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

void vmware::content::library::item::DownloadSessionStub::Fail | ( | string | downloadSessionId,
|  | string | clientErrorMessage
| ) |  | `[inline]`

Terminates the download session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to download a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.

Implements vmware::content::library::item::DownloadSession.

void vmware::content::library::item::DownloadSessionStub::Fail | ( | string | downloadSessionId,
|  | string | clientErrorMessage,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Terminates the download session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to download a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::FailAsync | ( | string | downloadSessionId,
|  | string | clientErrorMessage
| ) |  | `[inline]`

Terminates the download session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to download a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::FailAsync | ( | string | downloadSessionId,
|  | string | clientErrorMessage,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Terminates the download session with a client specified error message.

This is useful in transmitting client side failures (for example, not being able to download a file) to the server side.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the download session does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to fail. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  clientErrorMessage | Client side error message. This can be useful in providing some extra details about the client side failure. Note that the message won't be translated to the user's locale.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

vmware.content.library.item.DownloadSessionModel vmware::content::library::item::DownloadSessionStub::Get | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Gets the download session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given downloadSessionId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The DownloadSessionModel instance with the given downloadSessionId .

Implements vmware::content::library::item::DownloadSession.

vmware.content.library.item.DownloadSessionModel vmware::content::library::item::DownloadSessionStub::Get | ( | string | downloadSessionId | ) | `[inline]`

Gets the download session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given downloadSessionId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Returns:
  The DownloadSessionModel instance with the given downloadSessionId .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task<vmware.content.library.item.DownloadSessionModel> vmware::content::library::item::DownloadSessionStub::GetAsync | ( | string | downloadSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Gets the download session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given downloadSessionId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The DownloadSessionModel instance with the given downloadSessionId .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task<vmware.content.library.item.DownloadSessionModel> vmware::content::library::item::DownloadSessionStub::GetAsync | ( | string | downloadSessionId | ) | `[inline]`

Gets the download session with the specified identifier, including the most up-to-date status information for the session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given downloadSessionId exists.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session to retrieve. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .

Returns:
  The DownloadSessionModel instance with the given downloadSessionId .

Implements vmware::content::library::item::DownloadSession.

void vmware::content::library::item::DownloadSessionStub::KeepAlive | ( | string | downloadSessionId,
|  | long? | progress
| ) |  | `[inline]`

Keeps a download session alive.

This operation is allowed only if the session is in the DownloadSessionModel.State.ACTIVE state.

If there is no activity for a download session for a certain period of time, the download session will expire. The download session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of an active download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  progress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See DownloadSessionModel.clientProgress . If not specified the progress is not updated.

Implements vmware::content::library::item::DownloadSession.

void vmware::content::library::item::DownloadSessionStub::KeepAlive | ( | string | downloadSessionId,
|  | long? | progress,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Keeps a download session alive.

This operation is allowed only if the session is in the DownloadSessionModel.State.ACTIVE state.

If there is no activity for a download session for a certain period of time, the download session will expire. The download session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of an active download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  progress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See DownloadSessionModel.clientProgress . If not specified the progress is not updated.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::KeepAliveAsync | ( | string | downloadSessionId,
|  | long? | progress
| ) |  | `[inline]`

Keeps a download session alive.

This operation is allowed only if the session is in the DownloadSessionModel.State.ACTIVE state.

If there is no activity for a download session for a certain period of time, the download session will expire. The download session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of an active download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  progress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See DownloadSessionModel.clientProgress . If not specified the progress is not updated.

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task vmware::content::library::item::DownloadSessionStub::KeepAliveAsync | ( | string | downloadSessionId,
|  | long? | progress,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Keeps a download session alive.

This operation is allowed only if the session is in the DownloadSessionModel.State.ACTIVE state.

If there is no activity for a download session for a certain period of time, the download session will expire. The download session expiration timeout is configurable in the Content Library Service system configuration. The default is five minutes. Invoking this method enables a client to specifically extend the lifetime of an active download session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no download session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the download session is not in the DownloadSessionModel.State.ACTIVE state.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Anonymous` .

Parameters:

  downloadSessionId | Identifier of the download session whose lifetime should be extended. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` .
  progress | Optional update to the progress property of the session. If specified, the new progress should be greater then the current progress. See DownloadSessionModel.clientProgress . If not specified the progress is not updated.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::library::item::DownloadSession.

global::System.Collections.Generic.List<string> vmware::content::library::item::DownloadSessionStub::List | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Lists the identifiers of the download sessions created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.DownloadSession` referenced by the parameter libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  libraryItemId | Library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` . If not specified all download session identifiers are listed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all download sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

global::System.Collections.Generic.List<string> vmware::content::library::item::DownloadSessionStub::List | ( | string | libraryItemId | ) | `[inline]`

Lists the identifiers of the download sessions created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.DownloadSession` referenced by the parameter libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  libraryItemId | Library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` . If not specified all download session identifiers are listed.

Returns:
  The list of identifiers of all download sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::item::DownloadSessionStub::ListAsync | ( | string | libraryItemId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Lists the identifiers of the download sessions created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.DownloadSession` referenced by the parameter libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  libraryItemId | Library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` . If not specified all download session identifiers are listed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of identifiers of all download sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::library::item::DownloadSessionStub::ListAsync | ( | string | libraryItemId | ) | `[inline]`

Lists the identifiers of the download sessions created by the calling user.

Optionally may filter by library item.

Exceptions:

  vmware.vapi.std.errors.NotFound | if a library item identifier is given for an item which does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.item.DownloadSession` referenced by the parameter libraryItemId requires `ContentLibrary.DownloadSession` .

Parameters:

  libraryItemId | Library item identifier on which to filter results. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.DownloadSession` . If not specified all download session identifiers are listed.

Returns:
  The list of identifiers of all download sessions created by the calling user. The result will contain identifiers for the resource type: `com.vmware.content.library.item.DownloadSession` .

Implements vmware::content::library::item::DownloadSession.

The documentation for this class was generated from the following file:

- DownloadSessionStub.cs